For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Platform docsVideosCommunitySign up
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
CapabilitiesGetting startedVoice AI OrchestrationVoxEngine PlatformAPI ReferenceFAQ
  • Management API
    • Reference
        • POSTGetPhoneNumberReports
        • POSTAttachPhoneNumber
        • POSTBindPhoneNumberToApplication
        • POSTDeactivatePhoneNumber
        • POSTSetPhoneNumberInfo
        • POSTGetPhoneNumbers
        • POSTIsAccountPhoneNumber
        • POSTGetPhoneNumbersAsync
        • POSTGetNewPhoneNumbers
        • POSTGetPhoneNumberCategories
        • POSTGetPhoneNumberCountryStates
        • POSTGetPhoneNumberRegions
        • POSTGetActualPhoneNumberRegion
        • POSTGetAccountPhoneNumberCountries
    • Authorization
    • Errors
  • Web SDK
    • Overview
  • Android SDK
    • Overview
  • Android SDK v3
    • Overview
  • iOS SDK
    • Overview
  • React Native SDK
    • Overview
  • Flutter SDK
    • Overview
LogoLogo
Platform docsVideosCommunitySign up
Management APIReferencePhone Numbers

GetPhoneNumberCountryStates

||View as Markdown|
POST
https://api.voximplant.com/platform_api/GetPhoneNumberCountryStates
POST
/platform_api/GetPhoneNumberCountryStates
$curl -X POST "https://api.voximplant.com/platform_api/GetPhoneNumberCountryStates?country_code=country_code&phone_category_name=phone_category_name" \
> -H "Authorization: Bearer <token>"
200Example 1
1{
2 "result": [
3 {
4 "country_state": "AL",
5 "country_state_name": "Alabama"
6 },
7 {
8 "country_state": "CA",
9 "country_state_name": "California"
10 }
11 ]
12}

Gets the phone number country states.

Allowed roles: Owner, Admin, Accountant, Payer.

Example request: Get the USA states.

Was this page helpful?
Previous

GetPhoneNumberCategories

Next

GetPhoneNumberRegions

Built with

Authentication

AuthorizationBearer

Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the Authorization header as a Bearer value:

Authorization: Bearer $VOXIMPLANT_TOKEN

See Authorization for ready-to-copy snippets in bash, Python, Node.js and Go that turn your credentials.json into a token.

Query parameters

country_codestringRequired
The country code
phone_category_namestringRequired
The phone category name. See the GetPhoneNumberCategories function
country_statestringOptional

The country state code (example: AL, CA, … )

Response

Successful response
resultlist of objects